Subject: Re: HF modem support

From: Sergey Matveev <[email-masked]>
Date: Wed, 18 Mar 2026 13:42:03 +0300

*** Rafael Diniz [2026-03-17 23:53]:
>The first package of NNCP protocol will take 65280 bytes? I can see there is
>some padding involved.

Yes, it pads it, to hide amount of packets available in queue.

>Is there any sensible approach to reduce this, without completely breaking
>the security (we're using UUCP, so anything better than nothing is better
>already).

In general it is just a *relatively* easy way to give at least some
privacy (metadata security). I think it is ok to optionally disable it,
if we deal with links where even 64KiB is too much. Only the number of
packets in a queue is revealed, that I guess is acceptable for most users.

Actually NNCP packets in general are not very lightweight. Each packet
contains "path" field that always consumes 255 bytes. Not too friendly
to very low-bandwidth links. NNCP initially was created even without
online connections support at all: completely aimed for floppynet-like
use-cases.

>I'm hammering a bit the code, but better I understand a bit the protocol
>before I do something very wrong. Which is a good reference to start with?

The whole documentation is available in doc/nncp.info, doc/nncp.html
(the same as website). No additional materials about its details exist.

-- 
Sergey Matveev (http://www.stargrave.org/)
LibrePGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A